Package: org.codehaus.groovy.grails.web.filters

## [Java] Interface GrailsFiltersClass

- org.codehaus.groovy.grails.commons.InjectableGrailsClass

- All Superinterfaces:
    GrailsClass, GrailsApplicationAware, InjectableGrailsClass

  Interface that defines filter class which return a list of FilterConfig instances

  Authors:
    mike
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<FilterConfig>` | `getConfigs(java.lang.Object filterInstance)` @return the FilterConfig instances

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface InjectableGrailsClass` | `byName, byType, getAvailable`
    `interface GrailsClass` | `getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### public java.util.List<FilterConfig> getConfigs(java.lang.Object filterInstance)

      Returns:
        the FilterConfig instances